---
name: New Component
about: Interested in contributing a new component to Fluent UI Apple? This template includes necessary information to get started, and steps to completion
---

<!-- Use this template for new components or new component variants -->

## Component details

### Description

<!-- fill this out -->

### Which product teams/scenarios need this control

<!-- The more teams/scenarios that would use this control the better chance it will get prioritized -->

### Design assets

<!-- Please provide links to redlines or screenshots of intended component design -->
<!-- Are you internal to Microsoft and your design isn't yet public? Please reach out to us internally via the Fluent UI Apple Teams channel or log a request at https://aka.ms/fluentui-native. -->

### Component ownership

<!-- Are there one or more people who can help maintain this component over time? Who will address bugs? -->

## Component composition

### Imports/Dependencies

<!-- What other dependencies will your component be using -->

### Proposed Public API

<!-- Define the proposed public API for this control -->

### Intended Platforms
- [ ] iOS
- [ ] macOS

## Component code

### Example code

```Swift

```

### New Component Checklist

- [ ] Light and Dark Appearance
- [ ] Unit tests
- [ ] UI tests
- [ ] Different resolutions (1x, 2x, 3x)
- [ ] Size classes and window sizes (iPhone vs iPad, notched devices, multitasking, different window sizes, etc)
- [ ] Documentation and examples
- [ ] VoiceOver and Keyboard Accessibility
- [ ] Increase Contrast Support
- [ ] Internationalization and Right-to-left Layouts
- [ ] Design Review
- [ ] API review
- [ ] Ready for Contribution